Package org.optaplanner.core.impl.constructionheuristic.placer

## Class QueuedEntityPlacer

- java.lang.Object
- - org.optaplanner.core.impl.constructionheuristic.placer.AbstractEntityPlacer
  - - org.optaplanner.core.impl.constructionheuristic.placer.QueuedEntityPlacer

- All Implemented Interfaces:
    `Iterable<Placement>`, `EventListener`, `EntityPlacer`, `PhaseLifecycleListener`, `SolverLifecycleListener`

      public class QueuedEntityPlacer
      extends AbstractEntityPlacer
      implements EntityPlacer

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected EntitySelector` | `entitySelector` |
    `protected List<MoveSelector>` | `moveSelectorList` |

    - ### Fields inherited from class org.optaplanner.core.impl.constructionheuristic.placer.AbstractEntityPlacer

      `logger, phaseLifecycleSupport`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueuedEntityPlacer​(EntitySelector entitySelector, List<MoveSelector> moveSelectorList)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Iterator<Placement>` | `iterator()` |

    - ### Methods inherited from class org.optaplanner.core.impl.constructionheuristic.placer.AbstractEntityPlacer

      `phaseEnded, phaseStarted, solvingEnded, solvingStarted, stepEnded, stepStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface org.optaplanner.core.impl.phase.event.PhaseLifecycleListener

      `phaseEnded, phaseStarted, stepEnded, stepStarted`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

- - ### Field Detail

    - #### entitySelector

          protected final EntitySelector entitySelector

    - #### moveSelectorList

          protected final List<MoveSelector> moveSelectorList

  - ### Constructor Detail

    - #### QueuedEntityPlacer

          public QueuedEntityPlacer​(EntitySelector entitySelector,
                                    List<MoveSelector> moveSelectorList)

  - ### Method Detail

    - #### iterator

          public Iterator<Placement> iterator()

      Specified by:
        `iterator` in interface `Iterable<Placement>`